<bugID>528866<Summary>Unnecessary redo menu is enabled when cancel properties dialog of bookmark.</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2b3pre) Gecko/20091115 Firefox/3.5.5
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.3a1pre) Gecko/20091115 Minefield/3.7a1pre ID:20091115042134

Unnecessary redo menu is enabled when cancel properties dialog of bookmark.

I change nothing and canceled it, and it is not rational that "Redo" becomes enabled.

Reproducible: Always

Steps to Reproduce:
1.Start Minefield with new profile
2.Open Library (Ctrl+Shift+B)
3.Right-click on "Getting Started" in the Bookmarks Toolbar
4.Select Properties in the context menu.
5.Click "Cancel" button in the Properties dialog
6.Open "Organize" menu in the Library
Actual Results:  
"Redo" menu is enabled

Expected Results:  
Should not change undo/redo state when click "Cancel" in the properties dialog</Description></bugID>